Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xorg emerge blocked
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
particularist
n00b
n00b


Joined: 24 Oct 2014
Posts: 1

PostPosted: Fri Oct 24, 2014 2:11 pm    Post subject: xorg emerge blocked Reply with quote

Hi,

could use some help regarding the emerge of xorg after a new install of gentoo stage3 in Vmware
was planning to use gnome as gui, but seems to get stuck on different ebuilds that are blocked.
and ofcours i have no idea how to fix this, any insight is welcome for this noob.....

eventualy i gave me the following error:




gentoo portage # emerge -v -p xorg-server


qt4 vlc (-aqua) -debug -designer (-qt5) (-zeitgeist)" 323 kB
[ebuild N ] kde-base/kdelibs-4.12.5-r2:4/4.12 USE="acl alsa bzip2 fam handbook mmx nls opengl policykit spell sse sse2 ssl udev udisks upower -3dnow (-altivec) (-aqua) -debug -doc -jpeg2k -kerberos -lzma -openexr -semantic-desktop {-test} -zeroconf" 11,281 kB
[ebuild N ] sys-auth/polkit-kde-agent-0.99.0-r1:4 USE="(-aqua) -debug" LINGUAS="-ca -ca@valencia -cs -da -de -en_GB -eo -es -et -fi -fr -ga -gl -hr -hu -is -it -ja -km -lt -mai -ms -nb -nds -nl -pa -pt -pt_BR -ro -ru -sk -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -uk -zh_TW" 34 kB
[ebuild N ] kde-base/katepart-4.12.5:4/4.12 USE="handbook (-aqua) -debug" 2,582 kB
[ebuild N ] kde-base/kdesu-4.12.5:4/4.12 USE="handbook (-aqua) -debug" 7,673 kB
[ebuild N ] kde-base/khelpcenter-4.12.5:4/4.12 USE="(-aqua) -debug" 0 kB
[ebuild N ] media-video/vlc-2.1.2:0/5-7 USE="X a52 alsa avcodec avformat cdda dbus dts dvbpsi dvd encode ffmpeg flac gcrypt gnome kde libnotify mmx mp3 mpeg ncurses ogg opengl png postproc pulseaudio qt4 sdl sse svg swscale truetype udev vorbis x264 xcb xml xv -aalib (-altivec) -atmo (-audioqueue) -avahi -bidi -bluray -cddb -chromaprint -dc1394 -debug -dirac -directfb (-directx) -dvb (-dxva2) -egl -faad -fdk -fluidsynth -fontconfig -gme (-gnutls) -growl -httpd -ieee1394 (-ios-vout) -jack -kate -libass -libcaca -libsamplerate -libtar -libtiger -linsys -lirc -live -lua (-macosx) (-macosx-audio) (-macosx-dialog-provider) (-macosx-eyetv) (-macosx-qtkit) (-macosx-quartztext) (-macosx-vout) -matroska (-media-library) -modplug -mtp -musepack (-neon) -omxil -opencv -optimisememory (-opus) -projectm (-qt5) -rdp -rtsp -run-as-root -samba -schroedinger -sdl-image -sftp -shout -sid -skins -speex -taglib {-test} -theora -tremor -twolame -upnp -v4l -vaapi -vcdx (-vdpau) -vlm -wma-fixed -zvbi" 19,151 kB
[ebuild N ] media-libs/phonon-vlc-0.7.2 USE="qt4 -debug (-qt5)" 58 kB
[ebuild N ] net-libs/libproxy-0.4.11-r2 USE="gnome kde python -mono -networkmanager -perl -spidermonkey {-test} -webkit" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7" 92 kB
[ebuild N ] net-libs/glib-networking-2.40.1-r1 USE="gnome libproxy ssl -smartcard {-test}" ABI_X86="(64) (-32) (-x32)" 360 kB
[ebuild N ] net-libs/libsoup-2.46.0-r1:2.4 USE="introspection ssl -debug -samba {-test}" ABI_X86="(64) (-32) (-x32)" 1,655 kB
[ebuild N ] media-plugins/gst-plugins-soup-0.10.31-r1:0.10 ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild N ] media-libs/phonon-gstreamer-4.7.2 USE="alsa network qt4 -debug (-qt5)" 74 kB
[blocks B ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-216)
[blocks B ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-216)
[blocks B ] media-video/ffmpeg:0 ("media-video/ffmpeg:0" is blocking media-video/libav-9.14)
[blocks B ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-215-r3, sys-apps/gentoo-systemd-integration-4)

Total: 304 packages (300 new, 2 in new slots, 2 reinstalls), Size of downloads: 708,988 kB
Conflict: 4 blocks (4 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:


sys-libs/zlib:0

(sys-libs/zlib-1.2.8-r1::gentoo, ebuild scheduled for merge) pulled in by
>=sys-libs/zlib-1.2.5.1-r2:0[minizip] required by (media-video/vlc-2.1.2::gentoo, ebuild scheduled for merge)

(sys-libs/zlib-1.2.8-r1::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)


!!! Enabling --newuse and --update might solve this conflict.
!!! If not, it might help emerge to give a more specific suggestion.


* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(sys-apps/systemd-215-r3::gentoo, ebuild scheduled for merge) pulled in by
sys-apps/systemd:0= required by (sys-apps/dbus-1.8.8::gentoo, ebuild scheduled for merge)
>=sys-apps/systemd-44:0= required by (x11-misc/colord-1.2.1-r1::gentoo, ebuild scheduled for merge)
sys-apps/systemd required by (net-wireless/bluez-5.21-r1::gentoo, ebuild scheduled for merge)
sys-apps/systemd required by (sys-auth/polkit-0.112-r1::gentoo, ebuild scheduled for merge)
>=sys-apps/systemd-212-r5:0/2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,gudev,introspection?] (>=sys-apps/systemd-212-r5:0/2[abi_x86_64(-),gudev,introspection]) required by (virtual/libgudev-215-r1::gentoo, ebuild scheduled for merge)
sys-apps/systemd required by (sys-fs/udisks-2.1.3::gentoo, ebuild scheduled for merge)
>=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4::gentoo, ebuild scheduled for merge)
>=sys-apps/systemd-212-r5:0/2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=sys-apps/systemd-212-r5:0/2[abi_x86_64(-)]) required by (virtual/libudev-215-r1::gentoo, ebuild scheduled for merge)
sys-apps/systemd:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (sys-apps/systemd:0=[abi_x86_64(-)]) required by (media-sound/pulseaudio-5.0-r2::gentoo, ebuild scheduled for merge)

(sys-fs/udev-216::gentoo, installed) pulled in by
>=sys-fs/udev-208-r1 required by (virtual/udev-215::gentoo, installed)

(media-video/ffmpeg-1.2.6-r1::gentoo, ebuild scheduled for merge) pulled in by
>=media-video/ffmpeg-1.2.6-r1:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=media-video/ffmpeg-1.2.6-r1:0[abi_x86_64(-)]) required by (media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r2::gentoo, ebuild scheduled for merge)
>=media-video/ffmpeg-1.2:0 required by (media-video/vlc-2.1.2::gentoo, ebuild scheduled for merge)

(media-video/libav-9.14::gentoo, ebuild scheduled for merge) pulled in by
>=media-video/libav-9.12[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,X?,encode?,gsm?,jpeg2k?,mp3?,opus?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?] (>=media-video/libav-9.12[abi_x86_64(-),X,encode,mp3,sdl,truetype,x264]) required by (virtual/ffmpeg-9-r1::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


* IMPORTANT: 5 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.
_________________
"Anyone who has never made a mistake has never tried anything new"
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7051
Location: almost Mile High in the USA

PostPosted: Fri Oct 24, 2014 3:51 pm    Post subject: Reply with quote

Just some questions that wasn't quite clear:

How old was your stage 3 tarball?

This is most weird that it's pulling in KDE stuff. Did you use eselect profile to switch to the Gnome profile?

A bunch of your emerge --pretend data was cut out, was there something else there that could help determine what's being pulled in along with xorg-server?

If you're planning to use Gnome/GDM, you may need to use systemd for full functionality and should look at http://wiki.gentoo.org/wiki/Systemd .
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum